Name:           python-cheetah
Version:        3.2.6
Release:        %mkrel 3
Summary:        Template engine and code generator

Group:          Development/Python
License:        MIT
URL:            https://cheetahtemplate.org/
Source:         https://pypi.io/packages/source/c/cheetah3/Cheetah3-%{version}.tar.gz

BuildRequires:  python3-devel

%description
Cheetah is an open source template engine and code generation tool,
written in Python. It can be used standalone or combined with other
tools and frameworks. Web development is its principal use, but
Cheetah is very flexible and is also being used to generate C++ code,
Java, SQL, form emails and even Python code.

%package -n python3-cheetah
Summary:        Template engine and code generator
Group:          Development/Python
%{?python_provide:%python_provide python3-cheetah}

%description -n python3-cheetah
Cheetah is an open source template engine and code generation tool,
written in Python. It can be used standalone or combined with other
tools and frameworks. Web development is its principal use, but
Cheetah is very flexible and is also being used to generate C++ code,
Java, SQL, form emails and even Python code.

%prep
%autosetup -p1 -n Cheetah3-%{version}

# remove unnecessary shebang lines to silence rpmlint
%{__sed} -i -e '/^#!/,1d' Cheetah/Tests/*.py \
    Cheetah/CheetahWrapper.py Cheetah/DirectiveAnalyzer.py \
    Cheetah/Filters.py Cheetah/NameMapper.py Cheetah/Servlet.py \
    Cheetah/Templates/SkeletonPage.py Cheetah/Tools/SiteHierarchy.py \
    Cheetah/Version.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files Cheetah

%if 0
%check
export PATH="%{buildroot}/%{_bindir}:$PATH"
export PYTHONPATH="%{buildroot}/%{python3_sitearch}"
%{buildroot}/%{_bindir}/cheetah test
%endif

%files -n python3-cheetah -f %{pyproject_files}
%license LICENSE
%doc ANNOUNCE.rst README.rst TODO BUGS
%{_bindir}/cheetah*


%changelog
* Sun Dec 10 2023 papoteur <papoteur> 3.2.6-3.mga10
+ Revision: 2016997
- rebuild for python3.12
- adapt to pyproject

* Sat Mar 19 2022 umeabot <umeabot> 3.2.6-2.mga9
+ Revision: 1799193
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 mrambo3501 <mrambo3501> 3.2.6-1.mga9
+ Revision: 1779245
- version 3.2.6
- rebuild for python-3.10

* Tue Mar 23 2021 daviddavid <daviddavid> 3.2.4-3.mga9
+ Revision: 1708100
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 3.2.4-2.mga8
+ Revision: 1534003
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 3.2.4-1.mga8
+ Revision: 1446611
- new version: 3.2.4

* Thu Sep 19 2019 daviddavid <daviddavid> 3.2.3-1.mga8
+ Revision: 1443744
- new version: 3.2.3

* Wed Sep 18 2019 tv <tv> 3.1.0-5.mga8
+ Revision: 1443614
- rebuild for python-3.8
- drop python2 subpkg

* Sat Jan 12 2019 daviddavid <daviddavid> 3.1.0-4.mga7
+ Revision: 1355401
- remove python2 tests - was calling python3 subprocesses internally
+ tmb <tmb>
- rebuild for python 3.7
+ shlomif <shlomif>
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 3.1.0-2.mga7
+ Revision: 1300457
- Mageia 7 Mass Rebuild

* Thu Apr 05 2018 joequant <joequant> 3.1.0-1.mga7
+ Revision: 1215467
- update to 3.1.0

* Sat Jan 06 2018 daviddavid <daviddavid> 2.4.4-11.mga7
+ Revision: 1190694
- rename python-cheetah to python2-cheetah
- use new python macros

* Mon Feb 08 2016 umeabot <umeabot> 2.4.4-10.mga6
+ Revision: 946051
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.4.4-9.mga5
+ Revision: 750959
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.4.4-8.mga5
+ Revision: 728219
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.4.4-7.mga5
+ Revision: 687927
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 2.4.4-5.mga4
+ Revision: 543191
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.4.4-4.mga4
+ Revision: 498231
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 2.4.4-3.mga3
+ Revision: 378556
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 neoclust <neoclust> 2.4.4-2.mga3
+ Revision: 314124
- Rebuild because of missing pythonegg(cheetah) provides

* Mon Jan 17 2011 blino <blino> 2.4.4-1.mga1
+ Revision: 20935
- imported package python-cheetah


* Mon Dec 13 2010 Lev Givon <lev@mandriva.org> 2.4.4-1mdv2011.0
+ Revision: 620646
- Update to 2.4.4.

* Fri Oct 29 2010 Funda Wang <fwang@mandriva.org> 2.4.3-2mdv2011.0
+ Revision: 589935
- rebuild for python 2.7

* Sat Oct 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.3-1mdv2011.0
+ Revision: 587724
- update to new version 2.4.3

* Sat Aug 14 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.2.1-1mdv2011.0
+ Revision: 569665
- update to new version 2.4.2.1

* Wed Jan 06 2010 Frederik Himpe <fhimpe@mandriva.org> 2.4.1-1mdv2010.1
+ Revision: 486905
- Update to new version 2.4.1
- Remove hashlib patch which is not needed anymore

* Fri Jan 16 2009 Bogdano Arendartchuk <bogdano@mandriva.com> 2.0.1-4mdv2009.1
+ Revision: 330226
- patched to use hashlib instead of md5 (deprecated in python-2.6)

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 2.0.1-3mdv2009.1
+ Revision: 319199
- rebuild with python 2.6

* Thu Dec 25 2008 Funda Wang <fwang@mandriva.org> 2.0.1-2mdv2009.1
+ Revision: 318539
- rebuild for new python

* Tue Jan 29 2008 Funda Wang <fwang@mandriva.org> 2.0.1-1mdv2008.1
+ Revision: 159844
- update to new version 2.0.1

* Fri Dec 14 2007 Bogdano Arendartchuk <bogdano@mandriva.com> 2.0-1mdv2008.1
+ Revision: 119919
- merged python-cheetah2 into python-cheetah

* Sun Oct 21 2007 Jérôme Soyer <saispo@mandriva.org> 1.0-5mdv2008.1
+ Revision: 100793
- Add Conflicts and Obsoletes to allow cheetah2 and not to break Mandriva tools


* Tue Nov 28 2006 Andreas Hasenack <andreas@mandriva.com> 1.0-4mdv2007.0
+ Revision: 87982
- added patch for python-2.5 to get rid of this error:
  "SyntaxError: from __future__ imports must occur at the beginning of the file"

  + Oden Eriksson <oeriksson@mandriva.com>
    - add needed egg-info file
    - Import python-cheetah

* Mon May 08 2006 Michael Scherer <misc@mandriva.org> 1.0-1mdk
- New release 1.0

* Sun Nov 06 2005 Michael Scherer <misc@mandriva.org> 0.9.18-2mdk
- mkrel 
- remove prefix tag

* Mon Oct 24 2005 Jan Ciger <jan.ciger@gmail.com> 0.9.18-1mdk
- 0.9.18

* Sat Feb 05 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.9.16-0.a2.2mdk
- merge the 2 spec files

* Sat Feb 05 2005 Frederic Lepied <flepied@mandrakesoft.com> 0.9.16-0.a2.1mdk
- 0.9.16a2

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 0.9.15-4mdk
- Rebuild for new python

* Tue Oct 26 2004 Michael Scherer <misc@mandrake.org> 0.9.15-3mdk
- Rebuild

